Skip to main content

Void Transaction

POST 

/client/users/:correlation_id/void

This request completely voids a given transaction. Note that currently, only ADHOC_REWARD and ADHOC_REDEEM transaction types can be voided.

Request

Body

AttributeDefinitionFormatNotes
originalTransactionIdOriginal transaction IDStringRequired
externalReferenceIdReference identifier for this transaction in client’s system.Enum: "EXTERNAL_ID"Optional
channelThe channel value with which this transaction should be associated.StringOptional. For example, "SYSTEM", "CONSOLE", "POS", "STORE", "APP", "ONLINE", "PARTNER", "WEBSITE"

Response

AttributeDefinitionFormatNotes
transactionIdUnique identifier for the void transactionString
messageSuccess messageString

Error Responses

statusCodeerrorMessageerrorCodeDefinition
400 Bad RequestVoid transactions not supportedINVALID_REQUESTVoid transactions are not enabled.
400 Bad RequestoriginalTransactionId is mandatory and required to be non-empty.MISSING_REQUIRED_FIELDS_ERRORoriginalTransactionId must be included in request and must contain a valid identifier for the original transaction.
400 Bad RequestOriginal transaction belongs to another memberINVALID_REQUESTThe original transaction provided belongs to another member.
400 Bad RequestOriginal transaction was already voidedINVALID_REQUESTThe given original transaction was already voided.
400 Bad RequestVoid transaction not allowedINVALID_REQUESTVoid is not allowed for the request action of the given original transaction. For example, void is allowed for ADHOC_REWARD and ADHOC_REDEEM transactions, but the original transaction has request action 'FINALIZE'.
400 Bad RequestTransaction is older than {adjustmentPeriod} days.INVALID_REQUESTThe void transaction date is after the allowed adjustment period for the original transaction.

Request

Responses

400 - Void Not Allowed for Original Transaction's Request Action